std::tuple_size< tuple< _Elements... > > Struct Template Reference
Utilities

`#include <tuple>`

Inheritance diagram for std::tuple_size< tuple< _Elements... > >:
[legend]

## Public Types

using | type = integral_constant< size_t, __v >
using | value_type = size_t

## Public Member Functions

constexpr | operator value_type () const noexcept

## Static Public Attributes

static constexpr size_t | value

## Detailed Description

template<typename... _Elements>
struct std::tuple_size< tuple< _Elements... > >

class tuple_size

Definition at line 2403 of file tuple.

## Member Typedef Documentation

## type

using std::integral_constant< size_t , __v >::type = integral_constant<size_t , __v>

inherited

Definition at line 91 of file type_traits.

## value_type

using std::integral_constant< size_t , __v >::value_type = size_t

inherited

Definition at line 90 of file type_traits.

## Member Function Documentation

## operator value_type()

constexpr std::integral_constant< size_t , __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 92 of file type_traits.

## Member Data Documentation

## value

constexpr size_t std::integral_constant< size_t , __v >::value

static constexpr inherited

Definition at line 89 of file type_traits.

The documentation for this struct was generated from the following file:

- tuple